apiVersion: apps/v1
kind: Deployment
metadata:
  name: x100-operator
  namespace: system
  labels:
    app.kubernetes.io/component: x100-operator
    app: x100-operator
spec:
  selector:
    matchLabels:
      app: x100-operator
  replicas: 1
  template:
    metadata:
      labels:
        app: x100-operator
    spec:
      securityContext:
        runAsNonRoot: true
      imagePullSecrets:
      - name: qcrepo-pull-secret
      containers:
      - command:
        - x100-operator
        args:
        - --leader-elect
        image: x100-operator
        imagePullPolicy: Always
        name: x100-operator
        securityContext:
          allowPrivilegeEscalation: false
        livenessProbe:
          httpGet:
            path: /healthz
            port: 8081
          initialDelaySeconds: 15
          periodSeconds: 20
        readinessProbe:
          httpGet:
            path: /readyz
            port: 8081
          initialDelaySeconds: 5
          periodSeconds: 10
        resources:
          limits:
            cpu: 500m
            memory: 256Mi
          requests:
            cpu: 100m
            memory: 128Mi
      serviceAccountName: x100-operator
      terminationGracePeriodSeconds: 10
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
            - matchExpressions:
              - key: node-role.kubernetes.io/master
                operator: Exists
            - matchExpressions:
              - key: node-role.kubernetes.io/control-plane
                operator: Exists
      tolerations:
      - effect: NoSchedule
        key: node-role.kubernetes.io/master
        operator: Equal
      - effect: NoSchedule
        key: node-role.kubernetes.io/control-plane
        operator: Equal
